Globalization in EJ2 JavaScript DateRangePicker

04 Sep 202618 minutes to read

Globalization is the combination of internationalization and localization. The component can be adapted to various languages by parsing and formatting the date or number (Internationalization), and also by adding culture specific customization and translation to the text (Localization).

By default, the DateRangePicker date format, week, and month names are specific to the English culture. It utilizes the Essential® JavaScript 2 Internationalization package to parse and format the date object based on the culture by using the official UNICODE CLDR JSON data. It allows loading the culture specific CLDR JSON data by using the loadCldr method.

To use a different culture other than English, follow the below steps:

  • Install the CLDR-Data package by using the below command (Installs the CLDR JSON data). To know more about CLDR-Data, refer to the CLDR-Data link.
npm install cldr-data --save

Once the package is installed, the culture specific JSON data can be found under the location /node_modules/cldr-data.

  • Import the installed CLDR JSON data into the app.ts file. To import JSON data, install the JSON plugin loader. Here, the SystemJS JSON plugin loader is used.
npm install systemjs-plugin-json --save-dev
  • After installation, configure the system.config.js configuration settings as given below to map the systemjs-plugin-json loader.
System.config({
    paths: {
        'npm:': './node_modules/',
        'syncfusion:': 'npm:@syncfusion/'

    },
    map: {
        app: 'app',

        //Syncfusion packages mapping
        "@syncfusion/ej2-base": "syncfusion:ej2-base/dist/ej2-base.umd.min.js",
        "@syncfusion/ej2-inputs": "syncfusion:ej2-inputs/dist/ej2-inputs.umd.min.js",
        "@syncfusion/ej2-popups": "syncfusion:ej2-popups/dist/ej2-popups.umd.min.js",
        "@syncfusion/ej2-lists": "syncfusion:ej2-lists/dist/ej2-lists.umd.min.js",
        "@syncfusion/ej2-data": "syncfusion:ej2-data/dist/ej2-data.umd.min.js",
        "@syncfusion/ej2-buttons": "syncfusion:ej2-buttons/dist/ej2-buttons.umd.min.js",
        "@syncfusion/ej2-splitbuttons": "syncfusion:ej2-splitbuttons/dist/ej2-splitbuttons.umd.min.js",
        "@syncfusion/ej2-calendars": "syncfusion:ej2-calendars/dist/ej2-calendars.umd.min.js",
        "cldr-data": 'npm:cldr-data',
        "plugin-json": "npm:systemjs-plugin-json/json.js"
    },
    meta: {
        '*.json': { loader: 'plugin-json' }
    },
    packages: {
        'app': { main: 'app', defaultExtension: 'js' },
        'cldr-data': { main: 'index.js', defaultExtension: 'js' }
    }
});

System.import('app');
  • Use the loadCldr method to load the culture specific CLDR JSON data from the installed location to app.ts file.

  • The DateRangePicker displays Sunday as the first day of week based on default culture (“en-US”). To display the DateRangePicker with the loaded culture’s first day of week, the weekdata.json file needs to be imported from cldr-data/supplemental as given in the code example.

declare var require: any;

loadCldr(
    require('cldr-data/main/de/numbers.json'),
    require('cldr-data/main/de/ca-gregorian.json'),
    require('cldr-data/main/de/numbers.json'),
    require('cldr-data/main/de/timeZoneNames.json'),
    require('cldr-data/supplemental/weekdata.json') // To load the culture based first day of week
);

The Localization library allows localizing the default text content of the DateRangePicker. The DateRangePicker component has static text for the today feature that can be changed to other cultures (Arabic, Deutsch, French, etc.) by defining the locale value and translation object.

Locale keywords Text
placeholder Hint to describe expected value in input element.
startLabel Label to represent the start date.
endLabel Label to represent the end date.
applyText Text present in the apply button.
cancelText Text present in the cancel button.
selectedDays Text to represent selected days.
days Text represents days.
customRange Text present in the custom range button in presets container.
  • Before changing to a culture other than English, ensure that locale text for the concerned culture is loaded through the load method of
    the L10n class.
//Load the L10n, loadCldr from ej2-base
import { loadCldr, L10n } from '@syncfusion/ej2-base';

//load the locale object to set the localized placeholder value
L10n.load({
    'de': {
        'daterangepicker': { placeholder: 'Wählen Sie ein Datum aus' }
    }
});
  • Set the culture by using the locale property. In the following code example, the DateRangePicker is initialized in German culture with the corresponding localized text.

The following example demonstrates the DateRangePicker in German culture.

ej.base.enableRipple(true);
  
  var L10n = ej.base.L10n;

 L10n.load({
    'de': {
        'daterangepicker': {
         placeholder:'Wählen Sie einen Bereich aus',
         startLabel: 'Wählen Sie Startdatum',
         endLabel: 'Wählen Sie Enddatum',
         applyText: 'Sich bewerben',
         cancelText: 'Stornieren',
         selectedDays: 'Ausgewählte Tage',
         days: 'Tage',
         stomRange: 'benutzerdefinierten Bereich',
         startDate: 'Anfangsdatum',
         endDate: 'Enddatum'
        }
    }});

     loadCultureFiles('de');
       var daterangepicker = new ej.calendars.DateRangePicker({
       locale: 'de'
    });
    daterangepicker.appendTo('#element');

  function loadCultureFiles(name) {
        var files = ['ca-gregorian.json', 'numbers.json', 'timeZoneNames.json'];
        var loader = ej.base.loadCldr;
        var loadCulture = function (prop) {
            var val, ajax;
          ajax = new ej.base.Ajax('https://ej2.syncfusion.com/javascript/demos/' + 'src/common/cldr-data/main/' + name + '/' + files[prop], 'GET', false);
            ajax.onSuccess = function (value) {
                val = value;
            };
            ajax.send();
            loader(JSON.parse(val));
        };
        for (var prop = 0; prop < files.length; prop++) {
            loadCulture(prop);
        }
    }
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 DateRangePicker control</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-inputs/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-popups/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-lists/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-calendars/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <input id="element">
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Right-To-Left

The DateRangePicker supports RTL (right-to-left) functionality for languages like Arabic and Hebrew to display the text in the right-to-left direction. Use the enableRtl property to set the RTL direction. The following code example initializes the DateRangePicker component in Hebrew culture and also explains how to set the localized text to the placeholder using the load method of
the L10n class.

ej.base.enableRipple(true);        
     loadCultureFiles('he');

  var L10n = ej.base.L10n;

     L10n.load({
    'he': {
        'daterangepicker': {
            placeholder: 'בחר טווח',
            startLabel: 'תווית התחלה',
            endLabel: 'ח',
            applyText: 'להחיל טקסט',
            cancelText: 'בטל טקסט',
            selectedDays: 'ימים נבחרים',
            days: 'أימים',
            customRange: 'טווח מותאם אישית',
            startDate: 'תאריך התחלה',
            endDate: 'תאריך סיום'
        }
    }
    });

   var daterangepicker = new ej.calendars.DateRangePicker({
       locale: 'he',enableRtl:true
    });
    daterangepicker.appendTo('#element');
 
function loadCultureFiles(name) {
        var files = ['ca-gregorian.json', 'numbers.json', 'timeZoneNames.json'];
        if (name === 'he') {
            files.push('numberingSystems.json');
        }
        var loader = ej.base.loadCldr;
        var loadCulture = function (prop) {
            var val, ajax;
            if (name === 'he' && prop === files.length - 1) {
                ajax = new ej.base.Ajax('https://ej2.syncfusion.com/javascript/demos/src/common/cldr-data/supplemental/' + files[prop], 'GET', false);
            } else {
                ajax = new ej.base.Ajax('https://ej2.syncfusion.com/javascript/demos/src/common/cldr-data/main/' + name + '/' + files[prop], 'GET', false);
            }
            ajax.onSuccess = function (value) {
                val = value;
            };
            ajax.send();
            loader(JSON.parse(val));
        };
        for (var prop = 0; prop < files.length; prop++) {
            loadCulture(prop);
        }
    }
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 DateRangePicker control</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <!--style reference from the DateRangePicker component-->
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-inputs/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-popups/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-lists/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-calendars/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <input id="element">
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Customize the date format

Representation of start and end date strings can be customized to the required format by using the format property. By default, the format is based on the culture. To know more about the date format standards, refer to the Internationalization Date Format section. In the following sample, the date strings are formatted to yyyy-MM-dd and in between the string “to” is set as a separator.

var daterangepicker = new ej.calendars.DateRangePicker({
        placeholder: 'Select a range',
          format:"yyyy-MM-dd",
    separator: "to"    
    });
    daterangepicker.appendTo('#element');
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 DateRangePicker control</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-inputs/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-popups/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-lists/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-calendars/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <input id="element" type="text">
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Globalization in Angular DateRangePicker

25 Sep 202615 minutes to read

Globalization is the combination of internalization and localization. You can adapt the component to various languages by parsing and formatting the date or number Internationalization and also add culture specific customization and translation to the text localization.

By default, Angular DateRangePicker date format, week, and month names are specific to the English culture. It utilizes the Essential® JavaScript 2 Internationalization package to parse and format the date object based on the culture by using the official UNICODE CLDR JSON data. It provides the loadCldr method to load the culture specific CLDR JSON data. To go with the different culture other than English, follow the below steps.

  • Install the CLDR-Data package by using the below command (it installs all the CLDR JSON data). To
    know about CLDR-Data refer the CLDR-Data link.
npm install cldr-data --save

Once the package installed, you can find the culture specific JSON data under the location /node_modules/cldr-data.

  • Now import the installed CLDR JSON data into the app.component.ts file.

  • Now use the loadCldr method to load the culture specific CLDR JSON data
    from the installed location to app.component.ts file.

  • Angular DateRangePicker displayed Sunday as the first day of week based on default culture (“en-US”). If you want to display the Angular DateRangePicker with loaded culture’s first day of week, you need to import weekdata.json file from the cldr-data/suppemental as given in the code example.

import { loadCldr } from '@syncfusion/ej2-base';

declare var require: any;

loadCldr(
    require('cldr-data/supplemental/numberingSystems.json'),
    require('cldr-data/main/de/ca-gregorian.json'),
    require('cldr-data/main/de/numbers.json'),
    require('cldr-data/main/de/timeZoneNames.json'),
    require('cldr-data/supplemental/weekdata.json') // To load the culture based first day of week
);

The Localization library allows you to localize default text content of the Angular DateRangePicker. The Angular DateRangePicker component has static text for today feature that can be changed to other cultures (Arabic, Deutsch, French, etc.) by defining the locale value and translation object.

Locale keywords Text
placeholder Hint to describe expected value in input element.
startLabel Label to represent the start date.
endLabel Label to represent the end date.
applyText Text present in the apply button.
cancelText Text present in the cancel button.
selectedDays Text to represent selected days.
days Text represents days.
customRange Text present in the custom range button in presets container.
  • Before changing a culture other than English, ensure that locale text for the concern culture is loaded through L10n.load method.
//Load the L10n from ej2-base
import { L10n } from '@syncfusion/ej2-base';

//load the locale object to set the localized placeholder value
L10n.load({
    'de': {
        'daterangepicker': {  placeholder: 'Wählen Sie einen Bereich aus',
    startLabel: 'Wählen Sie Startdatum',
    endLabel: 'Wählen Sie Enddatum',
    applyText: 'Sich bewerben',
    cancelText: 'Stornieren',
    selectedDays: 'Ausgewählte Tage',
    days: 'Tage',
    customRange: 'benutzerdefinierten Bereich'
     }
    }
});
  • Set the culture by using the locale property. In this below code example, initialize the Angular DateRangePicker component in German culture with corresponding localized text.
import { Component } from '@angular/core';
import { L10n, loadCldr } from '@syncfusion/ej2-base';

declare var require: any;

loadCldr(
    require('cldr-data/supplemental/numberingSystems.json'),
    require('cldr-data/main/de/ca-gregorian.json'),
    require('cldr-data/main/de/numbers.json'),
    require('cldr-data/main/de/timeZoneNames.json')
);

@Component({
    selector: 'app-root',
    template: `
        <ejs-daterangepicker locale='de'></ejs-daterangepicker>
        `
})

export class AppComponent {
    constructor() {
    }
    ngOnInit(): void {
        L10n.load({
            'de': {
                'daterangepicker': {
                    placeholder: 'Wählen Sie einen Bereich aus',
                    today:"heute"
                    startLabel: 'Wählen Sie Startdatum',
                    endLabel: 'Wählen Sie Enddatum',
                    applyText: 'Sich bewerben',
                    cancelText: 'Stornieren',
                    selectedDays: 'Ausgewählte Tage',
                    days: 'Tage',
                    customRange: 'benutzerdefinierten Bereich'
                }
            }
        });
    }
}

The following sample demonstrate the DateRangePicker component in German culture.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { DateRangePickerModule } from '@syncfusion/ej2-angular-calendars'




import { Component } from '@angular/core';
import { loadCldr, L10n } from '@syncfusion/ej2-base';
// Here we have referred local json files for preview purpose
import * as numberingSystems from './numberingSystems.json';
import * as gregorian from './ca-gregorian.json';
import * as numbers from './numbers.json';
import * as detimeZoneNames from './timeZoneNames.json';

loadCldr(numberingSystems, gregorian, numbers, detimeZoneNames);

@Component({
imports: [
        
        DateRangePickerModule
    ],


standalone: true,
    selector: 'app-root',
    template: `<ejs-daterangepicker locale='de'></ejs-daterangepicker>`
})

export class AppComponent {
    constructor() {
    }
    ngOnInit(): void {
        L10n.load({
            'de': {
                'daterangepicker': { placeholder: 'Wählen Sie einen Bereich aus',
                today:"heute",
                startLabel: 'Wählen Sie Startdatum',
                endLabel: 'Wählen Sie Enddatum',
                applyText: 'Sich bewerben',
                cancelText: 'Stornieren',
                selectedDays: 'Ausgewählte Tage',
                days: 'Tage',
                customRange: 'benutzerdefinierten Bereich'
                }
            }
        });
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Right-To-Left

The Angular DateRangePicker supports RTL (right-to-left) functionality for languages like Arabic, Hebrew to displays the text in the right-to-left direction. Use enableRtl property to set the RTL direction.

The below code example demonstrates the Angular DateRangePicker component in Hebrew culture, also explains how to set the localized text to the placeholder using L10n.load method.

import { Component } from '@angular/core';
import { L10n, loadCldr } from '@syncfusion/ej2-base';

declare var require: any;

loadCldr(
    require('cldr-data/supplemental/numberingSystems.json'),
    require('cldr-data/main/he/ca-gregorian.json'),
    require('cldr-data/main/he/numbers.json'),
    require('cldr-data/main/he/timeZoneNames.json')
);

@Component({
    selector: 'app-root',
    template: `<ejs-daterangepicker locale='he' [enableRtl]='isRTL'></ejs-daterangepicker>`
})

export class AppComponent {
    public isRTL: boolean = true;
    constructor() {
    }
    ngOnInit(): void {
        L10n.load({
            'he': {
                'daterangepicker': { placeholder: 'בחר טווח',
                today:'היום',
        startLabel: 'תווית התחלה',
        endLabel: 'ח',
        applyText: 'להחיל טקסט',
        cancelText: 'בטל טקסט',
        selectedDays: 'ימים נבחרים',
        days: 'أימים',
        customRange: 'טווח מותאם אישית'
         }
         }
    });
    }
}

The following example demonstrates the Angular DateRangePicker in Hebrew culture with right-to-left direction.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { DateRangePickerModule } from '@syncfusion/ej2-angular-calendars'




import { Component } from '@angular/core';
import { loadCldr, L10n } from '@syncfusion/ej2-base';
// Here we have referred local json files for preview purpose
import * as numberingSystems from './numberingSystems.json';
import * as gregorian from './ca-gregorian.json';
import * as numbers from './numbers.json';
import * as hetimeZoneNames from './timeZoneNames.json';

loadCldr(numberingSystems, gregorian, numbers, hetimeZoneNames);

@Component({
imports: [
        
        DateRangePickerModule
    ],


standalone: true,
    selector: 'app-root',
    template: `<ejs-daterangepicker locale='he' [enableRtl]='isRTL'></ejs-daterangepicker>`
})

export class AppComponent {
    public isRTL: boolean = true;
    constructor() {
    }
    ngOnInit(): void {
        L10n.load({
            'he': {
                'daterangepicker': { placeholder: 'בחר טווח',
                 today:'היום',
        startLabel: 'תווית התחלה',
        endLabel: 'ח',
        applyText: 'להחיל טקסט',
        cancelText: 'בטל טקסט',
        selectedDays: 'ימים נבחרים',
        days: 'أימים',
        customRange: 'טווח מותאם אישית'
         }
        }
    });
}
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Date format customization

Representation of start and end date strings can be customized to required format by using format property.
By default, it will set based on the culture.
To know more about the date format standards, refer to the Internationalization Date Format section.
In below sample, the date strings are formatted to yyyy-MM-dd and separator between the date ranges is set to “to”.

import { NgModule } from '@angular/core'
import { FormsModule } from '@angular/forms'
import { BrowserModule } from '@angular/platform-browser'
import { DateRangePickerModule } from '@syncfusion/ej2-angular-calendars'




import { Component } from '@angular/core';

@Component({
imports: [
        
        FormsModule,
        DateRangePickerModule
    ],


standalone: true,
    selector: 'app-root',
    template: `<ejs-daterangepicker [format]='dateFormat' separator='to' placeholder='Select a range'></ejs-daterangepicker>`
})
export class AppComponent {
    public dateFormat: String = "yyyy-MM-dd";
    constructor() {
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Globalization in Vue DateRangePicker

20 Aug 202614 minutes to read

Globalization is the combination of internationalization and localization. You can adapt the component to various languages by parsing and formatting the date or number (Internationalization), and also add culture specific customization and translation to the text (Localization).

By default, DateRangePicker date format, week, and month names are specific to the English culture. It utilizes the Essential® JavaScript 2 Internationalization package to parse and format the date object based on the culture by using the official UNICODE CLDR JSON data. It allows to load culture specific CLDR JSON data by using loadCldr method.

To use a different culture other than English, follow the below steps:

  • Install the CLDR-Data package by using the below command (Installs the CLDR JSON data). To know more about CLDR-Data refer to theCLDR-Data link.

    npm install cldr-data --save
    

Once the package is installed, you can find the culture specific JSON data under the location /node_modules/cldr-data.

  • Import the installed CLDR JSON data into the app.vue file.

  • Use the loadCldr method to load the culture specific CLDR JSON data from the installed location to app.vue file.

  • DateRangePicker displayed Sunday as the first day of week based on default culture (“en-US”). If you want to display the DateRangePicker with loaded culture’s first day of week, you need to import weekdata.json file from the cldr-data/suppemental as given in the code example.

//Load the loadCldr from ej2-base
import { loadCldr } from '@syncfusion/ej2-base';

import * as numberingSystems from 'cldr-data/supplemental/numberingSystems.json';
import * as gregorian from 'cldr-data/main/de/ca-gregorian.json';
import * as numbers from 'cldr-data/main/de/numbers.json';
import * as timeZoneNames from 'cldr-data/main/de/timeZoneNames.json';
import * as weekData from 'cldr-data/supplemental/weekdata.json';// To load the culture based first day of week

loadCldr(numberingSystems, gregorian, numbers, timeZoneNames, weekData);

The Localization library allows you to localize default text content of the DateRangePicker. The DateRangePicker component has static text for today feature that can be changed to other cultures (Arabic, Deutsch, French, etc.) by defining the locale value and translation object.

Locale keywords Text
placeholder Hint to describe expected value in input element.
startLabel Label to represent the start date.
endLabel Label to represent the end date.
applyText Text present in the apply button.
cancelText Text present in the cancel button.
selectedDays Text to represent selected days.
days Text represents days.
customRange Text present in the custom range button in presets container.
  • Before changing to a culture other than English, ensure that locale text for the concerned culture is loaded through load method of
    L10n class.
//Load the L10n, loadCldr from ej2-base
import { loadCldr, L10n } from '@syncfusion/ej2-base';

//load the locale object to set the localized placeholder value
L10n.load({
    'de': {
        'daterangepicker': { placeholder: 'Wählen Sie ein Datum aus' }
    }
});
  • Set the culture by using the locale property.

The following example demonstrates the DateRangePicker in German culture.

<template>
  <div id="app">
    <div class='wrapper'>
      <ejs-daterangepicker id="daterange" locale="de"></ejs-daterangepicker>
    </div>
  </div>
</template>
<script setup>

import { loadCldr, L10n } from '@syncfusion/ej2-base';
import { DateRangePickerComponent as EjsDaterangepicker } from '@syncfusion/ej2-vue-calendars';
// Here we have referred local json files for preview purpose
import * as numberingSystems from './numberingSystems.json';
import * as gregorian from './ca-gregorian.json';
import * as numbers from './numbers.json';
import * as timeZoneNames from './timeZoneNames.json';


loadCldr(numberingSystems, gregorian, numbers, timeZoneNames);

L10n.load({
  'de': {
    'daterangepicker': {
      placeholder: 'Wählen Sie einen Bereich aus',
      startLabel: 'Wählen Sie Startdatum',
      endLabel: 'Wählen Sie Enddatum',
      applyText: 'Sich bewerben',
      cancelText: 'Stornieren',
      selectedDays: 'Ausgewählte Tage',
      days: 'Tage',
      customRange: 'benutzerdefinierten Bereich'
    }
  }
});

</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";

.wrapper {
  max-width: 250px;
  margin: 0 auto;
}
</style>
<template>
  <div id="app">
    <div class='wrapper'>
      <ejs-daterangepicker id="daterange" locale="de"></ejs-daterangepicker>
    </div>
  </div>
</template>
<script>

import { loadCldr, L10n } from '@syncfusion/ej2-base';
import { DateRangePickerComponent } from '@syncfusion/ej2-vue-calendars';
// Here we have referred local json files for preview purpose
import * as numberingSystems from './numberingSystems.json';
import * as gregorian from './ca-gregorian.json';
import * as numbers from './numbers.json';
import * as timeZoneNames from './timeZoneNames.json';


loadCldr(numberingSystems, gregorian, numbers, timeZoneNames);

L10n.load({
  'de': {
    'daterangepicker': {
      placeholder: 'Wählen Sie einen Bereich aus',
      startLabel: 'Wählen Sie Startdatum',
      endLabel: 'Wählen Sie Enddatum',
      applyText: 'Sich bewerben',
      cancelText: 'Stornieren',
      selectedDays: 'Ausgewählte Tage',
      days: 'Tage',
      customRange: 'benutzerdefinierten Bereich'
    }
  }
});
export default {
  name: "App",
  components: {
    "ejs-daterangepicker": DateRangePickerComponent
  },
}
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";

.wrapper {
  max-width: 250px;
  margin: 0 auto;
}
</style>

Right-To-Left

The DateRangePicker supports RTL (right-to-left) functionality for languages like Arabic and Hebrew to displays the text in the right-to-left direction. Use enableRtl property to set the RTL direction. The following code example initialize the DateRangePicker component in Hebrew culture and also explains how to set the localized text to the placeholder using load method of
L10n class.

<template>
  <div id="app">
    <div class='wrapper'>
      <ejs-daterangepicker id="daterange" :locale="locale" :enableRtl="rtl"></ejs-daterangepicker>
    </div>
  </div>
</template>
<script setup>

import { loadCldr, L10n } from '@syncfusion/ej2-base';
import { DateRangePickerComponent as EjsDaterangepicker } from '@syncfusion/ej2-vue-calendars';
// Here we have referred local json files for preview purpose
import * as numberingSystems from './numberingSystems.json';
import * as gregorian from './ca-gregorian.json';
import * as numbers from './numbers.json';
import * as timeZoneNames from './timeZoneNames.json';

loadCldr(numberingSystems, gregorian, numbers, timeZoneNames);

L10n.load({
  'he': {
    'daterangepicker': {
      placeholder: 'בחר טווח',
      startLabel: 'תווית התחלה',
      endLabel: 'ח',
      applyText: 'להחיל טקסט',
      cancelText: 'בטל טקסט',
      selectedDays: 'ימים נבחרים',
      days: 'أימים',
      customRange: 'טווח מותאם אישית'
    }
  }
});

const locale = "he";
const rtl = true;

</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";

.wrapper {
  max-width: 250px;
  margin: 0 auto;
}
</style>
<template>
  <div id="app">
    <div class='wrapper'>
      <ejs-daterangepicker id="daterange" :locale="locale" :enableRtl="rtl"></ejs-daterangepicker>
    </div>
  </div>
</template>
<script>

import { loadCldr, L10n } from '@syncfusion/ej2-base';
import { DateRangePickerComponent } from '@syncfusion/ej2-vue-calendars';
// Here we have referred local json files for preview purpose
import * as numberingSystems from './numberingSystems.json';
import * as gregorian from './ca-gregorian.json';
import * as numbers from './numbers.json';
import * as timeZoneNames from './timeZoneNames.json';

loadCldr(numberingSystems, gregorian, numbers, timeZoneNames);

L10n.load({
  'he': {
    'daterangepicker': {
      placeholder: 'בחר טווח',
      startLabel: 'תווית התחלה',
      endLabel: 'ח',
      applyText: 'להחיל טקסט',
      cancelText: 'בטל טקסט',
      selectedDays: 'ימים נבחרים',
      days: 'أימים',
      customRange: 'טווח מותאם אישית'
    }
  }
});
export default {
  name: "App",
  components: {
    "ejs-daterangepicker": DateRangePickerComponent
  },
  data() {
    return {
      locale: "he",
      rtl: true
    }
  }
}
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";

.wrapper {
  max-width: 250px;
  margin: 0 auto;
}
</style>

Customize the date format

Representation of start and end date strings can be customized to required format by using format property.
By default, the format is based on the culture. To know more about the date format standards, refer to the Internationalization Date Format section. In the following sample, the date strings are formatted to yyyy-MM-dd and in between the string “to” is set as a separator.

<template>
  <div id="app">
    <div class='wrapper'>
      <ejs-daterangepicker :format="dateFormat" :separator="seperate" :placeholder="waterMark"></ejs-daterangepicker>
    </div>
  </div>
</template>
<script setup>

import { DateRangePickerComponent as EjsDaterangepicker } from '@syncfusion/ej2-vue-calendars';

const waterMark = 'Select a Range';
const dateFormat = "yyyy-MM-dd";
const seperate = "to";

</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";

.wrapper {
  max-width: 250px;
  margin: 0 auto;
}
</style>
<template>
  <div id="app">
    <div class='wrapper'>
      <ejs-daterangepicker :format="dateFormat" :separator="seperate" :placeholder="waterMark"></ejs-daterangepicker>
    </div>
  </div>
</template>
<script>

import { DateRangePickerComponent } from '@syncfusion/ej2-vue-calendars';

export default {
  name: "App",
  components: {
    "ejs-daterangepicker": DateRangePickerComponent
  },
  data() {
    return {
      waterMark: 'Select a Range',
      dateFormat: "yyyy-MM-dd",
      seperate: "to"
    }
  }
}
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";

.wrapper {
  max-width: 250px;
  margin: 0 auto;
}
</style>